Entur Developer
Payments

Recurring Payments

Server

Set up and manage stored payment methods.


Get recurring payments.

GET
https://api.entur.io/sales
/v1/recurring-payments

Get recurring payments, which are not CANCELLED, for a customer. By default, EXPIRED are not included.

Get recurring payments. › query Parameters

customerNumber
​string · style: form · explode: true

Query for a given customer number

includeExpired
​boolean · style: form · explode: true

Whether or not to include expired recurring payments. Default false.

Get recurring payments. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get recurring payments. › Responses

Ok

Response type for the Recurring Payment API
cardExpiresAt
​string · date-time · required

The stored card's expiration date, may be longer than the recurring payment's expiration date, but never shorter.

Example: 2025-01-12T16:13:13Z
createdAt
​string · date-time · required

Timestamp for when the recurring payment was created.

Example: 2025-01-12T16:13:13Z
expiresAt
​string · date-time · required

When the recurring payment is no longer valid

Example: 2025-02-12T16:13:13Z
maskedPan
​string · required

The stored card's masked number

Example: 4925 **** **** 0004
paymentType
​PaymentType · enum · required

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
primary
​boolean · required

Is the recurring payment the primary recurring payment of the user. There can only be one primary recurring payment at a time. Therefore, changing this status to true might set another recurring payment's isPrimary to false.

Example: false
recurringPaymentId
​integer · int64 · required

ID of the recurring payment

Example: 111
recurringStatus
​RecurringStatus · enum · required

Status of this recurring payment

Enum values:
ACTIVE
CANCELLED
CREATED
DEFAULTED
EXPIRED
Example: ACTIVE
nickname
​string

Nickname for the recurring payment

Example: Bottomless mastercard

Create a recurring payment.

POST
https://api.entur.io/sales
/v1/recurring-payments

Creates a new recurring payment with status CREATED and couples it to the customer number sent in the request. If this is the first recurring payment coupled to the customer number it is made to be the primary recurring payment for the customer number. If it is not the first recurring payment, it defaults to not primary. However, if the requests makes it primary, the customers other recurring payment with primary status is set to not primary.

Create a recurring payment. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

Create a recurring payment. › Request Body

Recurring payment API resource.
customerNumber
​string

The customer number this recurring payment belongs to. This field is optional and will only be considered for certain privileged clients. This value can not be updated.

Example: 42
isPrimary
​boolean

Is the recurring payment the primary recurring payment of the user. There can only be one primary recurring payment at a time. Therefore, changing this status to true might set another recurring payment's isPrimary to false.

Example: false
nickname
​string

Nickname for the recurring payment

Example: Bottomless mastercard

Create a recurring payment. › Responses

Created

Response type for the Recurring Payment API
cardExpiresAt
​string · date-time · required

The stored card's expiration date, may be longer than the recurring payment's expiration date, but never shorter.

Example: 2025-01-12T16:13:13Z
createdAt
​string · date-time · required

Timestamp for when the recurring payment was created.

Example: 2025-01-12T16:13:13Z
expiresAt
​string · date-time · required

When the recurring payment is no longer valid

Example: 2025-02-12T16:13:13Z
maskedPan
​string · required

The stored card's masked number

Example: 4925 **** **** 0004
paymentType
​PaymentType · enum · required

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
primary
​boolean · required

Is the recurring payment the primary recurring payment of the user. There can only be one primary recurring payment at a time. Therefore, changing this status to true might set another recurring payment's isPrimary to false.

Example: false
recurringPaymentId
​integer · int64 · required

ID of the recurring payment

Example: 111
recurringStatus
​RecurringStatus · enum · required

Status of this recurring payment

Enum values:
ACTIVE
CANCELLED
CREATED
DEFAULTED
EXPIRED
Example: ACTIVE
nickname
​string

Nickname for the recurring payment

Example: Bottomless mastercard

End recurring payment.

DELETE
https://api.entur.io/sales
/v1/recurring-payments/{recurringPaymentId}

Ends a recurring payment, the recurring payment is no longer usable after this call.

End recurring payment. › path Parameters

recurringPaymentId
​integer · int64 · required · style: simple

recurringPaymentId

End recurring payment. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

End recurring payment. › Responses

Ok

Response type for the Recurring Payment API
cardExpiresAt
​string · date-time · required

The stored card's expiration date, may be longer than the recurring payment's expiration date, but never shorter.

Example: 2025-01-12T16:13:13Z
createdAt
​string · date-time · required

Timestamp for when the recurring payment was created.

Example: 2025-01-12T16:13:13Z
expiresAt
​string · date-time · required

When the recurring payment is no longer valid

Example: 2025-02-12T16:13:13Z
maskedPan
​string · required

The stored card's masked number

Example: 4925 **** **** 0004
paymentType
​PaymentType · enum · required

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
primary
​boolean · required

Is the recurring payment the primary recurring payment of the user. There can only be one primary recurring payment at a time. Therefore, changing this status to true might set another recurring payment's isPrimary to false.

Example: false
recurringPaymentId
​integer · int64 · required

ID of the recurring payment

Example: 111
recurringStatus
​RecurringStatus · enum · required

Status of this recurring payment

Enum values:
ACTIVE
CANCELLED
CREATED
DEFAULTED
EXPIRED
Example: ACTIVE
nickname
​string

Nickname for the recurring payment

Example: Bottomless mastercard

Update recurring payment.

PATCH
https://api.entur.io/sales
/v1/recurring-payments/{recurringPaymentId}

Updates a recurring payment's nickname and/or isPrimary status. If the recurring payment is set to be the primary recurring payment, the last primary recurring payment is no longer the primary recurring payment.

Update recurring payment. › path Parameters

recurringPaymentId
​integer · int64 · required · style: simple

recurringPaymentId

Update recurring payment. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

Update recurring payment. › Request Body

Recurring payment API resource.
customerNumber
​string

The customer number this recurring payment belongs to. This field is optional and will only be considered for certain privileged clients. This value can not be updated.

Example: 42
isPrimary
​boolean

Is the recurring payment the primary recurring payment of the user. There can only be one primary recurring payment at a time. Therefore, changing this status to true might set another recurring payment's isPrimary to false.

Example: false
nickname
​string

Nickname for the recurring payment

Example: Bottomless mastercard

Update recurring payment. › Responses

Ok

Response type for the Recurring Payment API
cardExpiresAt
​string · date-time · required

The stored card's expiration date, may be longer than the recurring payment's expiration date, but never shorter.

Example: 2025-01-12T16:13:13Z
createdAt
​string · date-time · required

Timestamp for when the recurring payment was created.

Example: 2025-01-12T16:13:13Z
expiresAt
​string · date-time · required

When the recurring payment is no longer valid

Example: 2025-02-12T16:13:13Z
maskedPan
​string · required

The stored card's masked number

Example: 4925 **** **** 0004
paymentType
​PaymentType · enum · required

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
primary
​boolean · required

Is the recurring payment the primary recurring payment of the user. There can only be one primary recurring payment at a time. Therefore, changing this status to true might set another recurring payment's isPrimary to false.

Example: false
recurringPaymentId
​integer · int64 · required

ID of the recurring payment

Example: 111
recurringStatus
​RecurringStatus · enum · required

Status of this recurring payment

Enum values:
ACTIVE
CANCELLED
CREATED
DEFAULTED
EXPIRED
Example: ACTIVE
nickname
​string

Nickname for the recurring payment

Example: Bottomless mastercard

Authorize a recurring payment.

PUT
https://api.entur.io/sales
/v1/recurring-payments/{recurringPaymentId}/authorize

Authorize the card details provided by the customers in the terminal were valid and accepted by Nets and by calling Nets with a process call. If valid, the recurring payment has its status set to ACTIVE and the returned pan hash is stored. This pan hash is later used when paying with a recurring payment.

Authorize a recurring payment. › path Parameters

recurringPaymentId
​integer · int64 · required · style: simple

recurringPaymentId

Authorize a recurring payment. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Authorize a recurring payment. › Responses

Ok

Response type for the Recurring Payment API
cardExpiresAt
​string · date-time · required

The stored card's expiration date, may be longer than the recurring payment's expiration date, but never shorter.

Example: 2025-01-12T16:13:13Z
createdAt
​string · date-time · required

Timestamp for when the recurring payment was created.

Example: 2025-01-12T16:13:13Z
expiresAt
​string · date-time · required

When the recurring payment is no longer valid

Example: 2025-02-12T16:13:13Z
maskedPan
​string · required

The stored card's masked number

Example: 4925 **** **** 0004
paymentType
​PaymentType · enum · required

The actual type of payment.

Enum values:
AMEX
BANKAXEPT
COLLECTOR
GIFTCARD
MASTERCARD
PAYPAL
VIPPS
VISA
Example: VISA
primary
​boolean · required

Is the recurring payment the primary recurring payment of the user. There can only be one primary recurring payment at a time. Therefore, changing this status to true might set another recurring payment's isPrimary to false.

Example: false
recurringPaymentId
​integer · int64 · required

ID of the recurring payment

Example: 111
recurringStatus
​RecurringStatus · enum · required

Status of this recurring payment

Enum values:
ACTIVE
CANCELLED
CREATED
DEFAULTED
EXPIRED
Example: ACTIVE
nickname
​string

Nickname for the recurring payment

Example: Bottomless mastercard

Create terminal.

POST
https://api.entur.io/sales
/v1/recurring-payments/{recurringPaymentId}/terminal

Registers the transaction with Nets and returns the location of the payment terminal where the user will provide card information. The terminal is available for 15min before the transaction times out. If this happens a new terminal must be created.

Create terminal. › path Parameters

recurringPaymentId
​integer · int64 · required · style: simple

recurringPaymentId

Create terminal. › Headers

Entur-POS
​string · required · style: simple

Point-of-sale identifier.

Entur-Distribution-Channel
​string · style: simple

Distribution channel identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create terminal. › Request Body

Information used to customize the payment terminal.
redirectUrl
​string · pattern: ^(https?://).{0,1024… · required

Location to be redirected to from the payment terminal.

Example: https://www.entur.org
callbackUrl
​string

Location where notification of payment completion will be sent. If this is not provided, then the client will have to check for completion manually by getting the transaction and checking its status. The callback will be repeated until the server receives an HTTP 202 response.

Example: https://entur.org
customerNumber
​string

Customer number used with recurring payment creation. This field is optional and will only be considered for certain privileged clients.

Example: 123456789
storePayment
​boolean

Should the card be stored for recurring payments. If customer is not logged in, the value of this will be disregarded.

Example: false
Default: false
terminalLanguage
​TerminalLanguage · enum

Language used in the payment terminal. Default is 'no_NO'.

Enum values:
da_DK
de_DE
en_GB
es_ES
et_EE
fi_FI
fr_FR
it_IT
Example: no_NO
countryCode
​TerminalCountryCode · enum

ISO 3166-1 Alpha 2 country code used for certain terminals (PayPal, Collector). Used to decide which country store the customer wants to use. Default is 'NO'

Enum values:
NO
DK
SE
FI
Example: NO
Default: NO
autoSale
​boolean

If this flag is set to true, the capture call after a customer returns from the terminal is not needed. The processing starts automatically. This is only compatible with payments done with payment cards.

Default: false
transactionType
​TransactionType · enum

Set the type of transaction. Only set this field to MIT_UCOF if you want to create a Merchant Initiated Transaction (MIT) which refers to a card payment started by a merchant without the customer being actively involved. If this value is not set, a payment terminal will be created as normal.

Enum values:
MIT_UCOF
Example: MIT_UCOF
singlePage
​boolean

If this flag is set to true, we will attempt to generate a single-page terminal. If false, multi-page terminal might be used.

Example: false
Default: false

Create terminal. › Responses

Created

Information about how to access the terminal.
terminalUri
​string · required

Location of the payment terminal.

Example: https://epayment.nets.eu/Terminal/default.aspx?merchantId=700000&transactionId=8841532204d4426da913a5abfbg322f0
paymentId
​integer · int64

ID of the payment the transaction belongs to. Used with the transactionId to later capture transaction.

Example: 1
recurringPaymentId
​integer · int64

ID of the recurring payment this terminal belongs to.

Example: 1
transactionId
​integer · int64

ID of the transaction this terminal belongs to. Used with the paymentId to later capture transaction.

Example: 1

Did you find what you were looking for?